﻿<AML>
 <Item type="Method" id="BF40B6300211426DB2ACF9C0ADEF2ACD" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			pop_vendor_customer_fill
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
	-Get Vendor Information according by choosing Vendor.
	
Hooks:
	Type:	Form	:	sop_po_out
	Event:	pop_vendor ( onChange )

	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */
//debugger;
var myInnovator = new Innovator();

var thisItem = document.thisItem;
var _customer_id = top.aras.getItemProperty(document.item, 'pop_vendor');
if (_customer_id !== "") 
{
    var customer_qry = myInnovator.newItem("vendor", "get");
    customer_qry.setProperty("id", _customer_id);
    var l_acc_result = customer_qry.apply();
    var l_acc_count = l_acc_result.getItemCount();
    if (l_acc_count > 0) {
        var customer = l_acc_result.getItemByIndex(0);

        var customer_id = customer.getProperty("id", "");
        var customer_phone = customer.getProperty("main_phone", "");
        var customer_address = customer.getProperty("address", "");
        handleItemChange("pop_contact_no", customer_phone);
        handleItemChange("pop_vendor_address", customer_address);

    }
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>pop_vendor_customer_fill</name>
 </Item>
</AML>